__all__ = ['RELATED', 'NOT_RELATED', 'TRUE', 'FALSE', 'CONNECT', 'DISCONNECT',
           'OPEN', 'CLOSED', 'ENABLED', 'DISABLED', 'YES', 'NO',
           'ON', 'OFF',
           'DEBUG_DETAIL', 'DEBUG_INFO', 'DEBUG_NOTICE', 'DEBUG_COMMENT',
           'DEBUG_WARNING', 'DEBUG_ERROR',
           'ITEM_IN_DB', 'RANDOM',
           'STD_INFO', 'STD_NOTICE', 'STD_WARNING', 'STD_ERR', 'STD_CRIT',
           'STD_ALERT', 'STD_EMERG',
           'STRICT', 'VALID_TERM_UNITS',
           'DBG_NAMES',
           'AUTH_TYPE', 'USER_TYPE', 'ROLE_TYPE', 'PERM_TYPE', 'GROUP_TYPE',
           'TYPE_DICT',
           'LEFT', 'RIGHT']

RELATED     = 1
NOT_RELATED = 0
TRUE        = 1
FALSE       = 0
CONNECT     = 1
DISCONNECT  = 0
OPEN        = 1
CLOSED      = 0
ENABLED     = 1
DISABLED    = 0
YES         = 1
NO          = 0
ON          = 1
OFF         = 0
LEFT        = 0
RIGHT       = 1
LAST        = 0

ITEM_IN_DB  = 0

# used for date/time calculation in modis
VALID_TERM_UNITS = ['year', 'month', 'week', 'day', 'hour', 'minute', 'second']

# Items for markov chains
STRICT      = 0
RANDOM      = 1

# Debug prefs
DEBUG_DETAIL  = 5
DEBUG_INFO    = 10
DEBUG_NOTICE  = 20
DEBUG_COMMENT = 25
DEBUG_WARNING = 30
DEBUG_ERROR   = 40
STD_INFO      = 50
STD_NOTICE    = 60
STD_WARNING   = 70
STD_ERR       = 80
STD_CRIT      = 90
STD_ALERT     = 95
STD_EMERG     = 100
DBG_NAMES     = {
                    DEBUG_DETAIL  : 'DEBUG_DETAIL',
                    DEBUG_INFO    : 'DEBUG_INFO',
                    DEBUG_NOTICE  : 'DEBUG_NOTICE',
                    DEBUG_COMMENT : 'DEBUG_COMMENT',
                    DEBUG_WARNING : 'DEBUG_WARNING',
                    DEBUG_ERROR   : 'DEBUG_ERROR',
                    STD_INFO      : 'STD_INFO',
                    STD_NOTICE    : 'STD_NOTICE',
                    STD_WARNING   : 'STD_WARNING',
                    STD_ERR       : 'STD_ERR',
                    STD_CRIT      : 'STD_CRIT',
                    STD_ALERT     : 'STD_ALERT',
                    STD_EMERG     : 'STD_EMERG'
                }

# contego.dbproc/dbinfo constants
RSRC_TYPE  = 0
AUTH_TYPE  = 1
USER_TYPE  = 2
ROLE_TYPE  = 3
PERM_TYPE  = 4
GROUP_TYPE = 5
TYPE_DICT  = {
    RSRC_TYPE  : ('RSRC_TYPE', 'resources'),
    AUTH_TYPE  : ('AUTH_TYPE', 'authentication_subsystem_objects'),
    USER_TYPE  : ('USER_TYPE', 'users'),
    ROLE_TYPE  : ('ROLE_TYPE', 'roles'),
    PERM_TYPE  : ('PERM_TYPE', 'permissions'),
    GROUP_TYPE : ('GROUP_TYPE', 'groups')
}


